import React from 'react';
declare type Props = {
    'data-ui'?: string | null;
    name?: string | null;
    hideOnClose?: boolean;
    onHideRequest?: (() => void) | null;
    onClick?: ((e: React.MouseEvent<HTMLLIElement>, name?: string) => void) | null;
} & Partial<DefaultProps>;
declare type DefaultProps = {
    className: string;
    theme: 'dark' | 'light';
};
export default class DropdownListItem extends React.PureComponent<Props> {
    static displayName: string;
    static defaultProps: DefaultProps;
    render(): JSX.Element;
}
export {};
